Skip to content

Sessions

Live and historical SSH and RDP sessions, recordings, and termination.

GET/api/sessions
GET/api/sessions/active
GET/api/sessions/:id
GET/api/sessions/:id/recording
POST/api/sessions/:id/terminate

List org sessions ​

GET/api/sessions

Operator+; list with filters.

Authentication: bearer token.
Permission: sessions.view_all.

Query parameters

NameTypeRequiredNotes
userIdstringNo
serverIdstringNo
statusstringNo
pagenumberNoDefault 1. At least 1.
limitnumberNoDefault 25. 1–100.
bash
curl -X GET "https://shellius.example.com/api/sessions" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Active sessions ​

GET/api/sessions/active

Operator+; all currently active sessions.

Authentication: bearer token.
Permission: sessions.view_all.

bash
curl -X GET "https://shellius.example.com/api/sessions/active" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Session detail ​

GET/api/sessions/:id

Operator+; session detail.

Authentication: bearer token.
Permission: sessions.view_all.

Path parameters

NameTypeNotes
idstring
bash
curl -X GET "https://shellius.example.com/api/sessions/{id}" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Download/decrypt session recording ​

GET/api/sessions/:id/recording

Operator+; stream the .cast file.

Authentication: bearer token.
Permission: sessions.view_recordings.

Path parameters

NameTypeNotes
idstring
bash
curl -X GET "https://shellius.example.com/api/sessions/{id}/recording" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Force-terminate session ​

POST/api/sessions/:id/terminate

Force disconnect.

Authentication: bearer token.
Permission: sessions.terminate.

Path parameters

NameTypeNotes
idstring
bash
curl -X POST "https://shellius.example.com/api/sessions/{id}/terminate" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }
Was this page helpful?No, tell us why